- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TIbmScaffoldInput
TMssqlScaffoldInput
TMysqlScaffoldInput
TPgsqlScaffoldInput
TScaffoldInputBase
TScaffoldInputCommon
TSqliteScaffoldInput

Keyword

# Class TMysqlScaffoldInput

    TScaffoldInputBase
       |
       --TScaffoldInputCommon
          |
          --TMysqlScaffoldInput

TMysqlScaffoldInput class file.

License: http://www.pradosoft.com/license/
Copyright: Copyright &copy; 2005-2008 PradoSoft
Link: http://www.pradosoft.com/

Constants Inherited From TScaffoldInputBase
DEFAULT_ID,

Method Summary
protected void | createControl ( mixed $container, mixed $column, mixed $record)
protected void | createIntegerControl ( mixed $container, mixed $column, mixed $record)
protected void | getControlValue ( mixed $container, mixed $column, mixed $record)
protected void | getIntBooleanValue ( mixed $container, mixed $column, mixed $record)

Methods Inherited From TScaffoldInputCommon

TScaffoldInputCommon::createBooleanControl(), TScaffoldInputCommon::createDateControl(), TScaffoldInputCommon::createDateTimeControl(), TScaffoldInputCommon::createDefaultControl(), TScaffoldInputCommon::createEnumControl(), TScaffoldInputCommon::createFloatControl(), TScaffoldInputCommon::createIntegerControl(), TScaffoldInputCommon::createMultiLineControl(), TScaffoldInputCommon::createRangeValidator(), TScaffoldInputCommon::createRequiredValidator(), TScaffoldInputCommon::createSetControl(), TScaffoldInputCommon::createTimeControl(), TScaffoldInputCommon::createTypeValidator(), TScaffoldInputCommon::createYearControl(), TScaffoldInputCommon::getDateTimeValue(), TScaffoldInputCommon::getDefaultControlValue(), TScaffoldInputCommon::getEnumValue(), TScaffoldInputCommon::getMatchingIndices(), TScaffoldInputCommon::getSetValue(), TScaffoldInputCommon::getTimeValue(), TScaffoldInputCommon::setDefaultProperty(), TScaffoldInputCommon::setNotNullProperty()

Methods Inherited From TScaffoldInputBase

TScaffoldInputBase::createControl(), TScaffoldInputBase::createControlLabel(), TScaffoldInputBase::createInputBuilder(), TScaffoldInputBase::createScaffoldInput(), TScaffoldInputBase::getControlValue(), TScaffoldInputBase::getIsEnabled(), TScaffoldInputBase::getParent(), TScaffoldInputBase::getRecordPropertyValue(), TScaffoldInputBase::loadScaffoldInput(), TScaffoldInputBase::setRecordPropertyValue()

Constant Summary

Method Details

## createControl

protected void createControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## createIntegerControl

protected void createIntegerControl | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## getControlValue

protected void getControlValue | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception

## getIntBooleanValue

protected void getIntBooleanValue | (mixed $container , mixed $column , mixed $record )

Input
mixed | $container |
mixed | $column |
mixed | $record |
Output
Exception